import 'package:auth/src/core/data/repositories/auth_repository_impl.dart';
import 'package:auth/src/core/domain/repositories/auth_repository.dart';
import 'package:auth/src/core/providers/auth_remote_datasource_provider.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

final authRepositoryProvider = Provider<AuthRepository>((ref) {
  final remote = ref.read(authRemoteDatasourceProvider);
  return AuthRepositoryImpl(remote);
});
